DF(1)

NAMN
df — rapportera användning av filsystemsutrymme

SYNOPSIS
df [FLAGGA]... [FIL]...

BESKRIVNING
Denna manualsida dokumenterar GNU-versionen av df. df visar mängden tillgängligt utrymme på det filsystem som innehåller varje filnamnsargument. Om inget sådant argument ges visas det tillgängliga utrymmet på alla just nu monterade filsystem. Utrymmet visas i 1k-block som standard, om inte miljövariabeln POSIXLY_CORRECT är satt, då 512-byte-block används.

Om ett argument är det absoluta filnamnet på en enhetsnod som innehåller ett monterat filsystem visar df utrymmet på det filsystemet snarare än filsystemet som innehåller enhetsnoden. Denna version av df kan inte visa det tillgängliga utrymmet på omonterade filsystem, eftersom det på de flesta sorts system att göra så kräver väldigt oportabel ingående kunskap om filsystemsstrukturer.

FLAGGOR

Visa information om filsystemet där varje FIL ligger, eller annars alla filsystem.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --all
    Tag med pseudo-, dubblett-, oåtkomliga filsystem.

-B, --block-size=STRL
    Skala storlekar med STRL före de skrivs ut; t.ex. ”-BM” skriver storlekar i enheter av 1 048 576 byte; se STORLEKsformat nedan.

-h, --human-readable
    Skriv storlekar i potenser av 1024 (t.ex. 1023M).

-H, --si
    Skriv storlekar i potenser av 1000 (t.ex. 1,1G).

-i, --inodes
    Skriv inodinformation istället för blockinformation.

-k  Som --block-size=1K.

-l, --local
    Visa endast lokala filsystem.

--no-sync
    Anropa inte sync innan information hämtas (normalfall).

--output[=FÄLTLISTA]
    Använd utformatet definierat av FÄLTLISTA, eller skriv alla fält om FÄLTLISTA utelämnas.

-P, --portability
    Använd POSIX-format.

--sync
    Anropa sync innan information hämtas.

--total
    Utelämna alla poster som inte påverkar tillgängligt utrymme, och skriv en totalsumma.

-t, --type=TYP
    Begränsa listningen till filsystem av typen TYP.

-T, --print-type
    Skriv ut filsystemtyp.

-x, --exclude-type=TYP
    Utelämna filsystem av typ TYP.

-v  (ignorerad)

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Visa värden i enheter av första tillgängliga STORLEK från --block-size,och miljövariablerna DF_BLOCK_SIZE, BLOCK_SIZE och BLOCKSIZE. Annars är enheten som standard 1024 byte (eller 512 om POSIXLY_CORRECT är satt).

Argumentet STORLEK är ett heltal och eventuell enhet (exempel: 10K är 10·1024). Enheter är K, M, G, T, P, E, Z, Y (potenser av 1024) eller KB, MB, … (potenser av 1000). Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

FÄLTLISTA är en kommaseparerad lista med kolumner som skall vara med. Giltiga fältnamn är: ”source”, ”fstype”, ”itotal”, ”iused”, ”iavail”, ”ipcent”, ”size”, ”used”, ”avail”, ”pcent”, ”file” och ”target” (se infosidan).

UPPHOVSMAN
Skrivet av Torbjorn Granlund, David MacKenzie och Paul Eggert.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/df>
eller tillgängligt lokalt via: info '(coreutils) df invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.